Name:           wastesedge
Version:        0.3.5
Release:        4%{?dist}
Summary:        Official game package for Adonthell

License:        GPL+
URL:            http://adonthell.linuxgames.com/

## Due to legal issues (RHBZ#477481), upstream sources need to be modified
# Here is how are obtained the sources used in this package:
# $ VERSION=0.3.5
# $ wget http://savannah.nongnu.org/download/adonthell/wastesedge-src-$VERSION.tar.gz
# $ tar xzvf wastesedge-src-$VERSION.tar.gz
# $ rm wastesedge-$VERSION/gfx/window/font/avatar.ttf
# $ sed -i 's|avatar.ttf||g' wastesedge-$VERSION/gfx/window/font/Makefile.in
# $ tar czvf wastesedge-src-$VERSION-modified.tar.gz wastesedge-$VERSION/
Source0:        %{name}-src-%{version}-modified.tar.gz

# This release is 4 years old and upstream moved on since then to work on
# adonthell/wastesedge 0.4 (and I'll update to it once it's ready). So they
# aren't really interested in this old version any more, and I won't bother
# them with something as trivial, unless I have another more important patch
# to submit at the same time.
Patch0:         wastesedge-0.3.5-Fix-upstream-desktop-file.patch

BuildArch:      noarch

BuildRequires:  adonthell >= %{version}
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

Requires:       adonthell >= %{version}
Requires:       hicolor-icon-theme


%description
As a loyal servant of the elven Lady Silverhair, you arrive at the remote
trading post of Waste's Edge, where she is engaged in negotiations with the
dwarvish merchant Bjarn Fingolson. But not all is well at Waste's Edge, and
soon you are confronted with circumstances that are about to destroy your
mistress' high reputation. And you are the only one to avert this ...


%prep
%setup -q

# fix wrong file permissions (fixed upstream for future release)
chmod a-x AUTHORS COPYING INSTALL README

# install locale files in the right place
sed -i 's|datadir = @gamedatadir@|datadir = ${prefix}/share|' po/Makefile.in.in

%patch0 -p1


%build
%configure
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot} INSTALL="install -p"

# install images in the correct folders
mkdir -p %{buildroot}%{_datadir}/icons/hicolor/{16x16,32x32}/apps
mv %{buildroot}%{_datadir}/pixmaps/%{name}_16x16.xpm %{buildroot}%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
mv %{buildroot}%{_datadir}/pixmaps/%{name}_32x32.xpm %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm

# install desktop file
desktop-file-install                               \
        --dir=%{buildroot}%{_datadir}/applications \
        %{name}.desktop

%find_lang %{name}


%files -f %{name}.lang
%doc AUTHORS COPYING PLAYING README
%{_bindir}/adonthell-%{name}
%{_datadir}/adonthell/games/%{name}/
%{_datadir}/icons/hicolor/16x16/apps/%{name}.xpm
%{_datadir}/icons/hicolor/32x32/apps/%{name}.xpm
%{_datadir}/applications/%{name}.desktop


%post
/bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    /bin/touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    /usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
/usr/bin/gtk-update-icon-cache -f %{_datadir}/icons/hicolor &>/dev/null || :


%changelog
* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Sep 21 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.3.5-1
- Update to the latest upstream release.
- Cleanup and modernize the spec file.

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-0.18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-0.17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-0.16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Aug 11 2010 David Malcolm <dmalcolm@redhat.com> - 0.3.4-0.15
- recompiling .py files against Python 2.7 (rhbz#623416)

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-0.14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sun Mar 01 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 0.3.4-0.13
- deleted the unproperly licensed font in SRPM too - RHBZ#477481

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.4-0.12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 13 2009 Mathieu Bridon <bochecha@fedoraproject.org> - 0.3.4-0.11
- added missing Requires: on hicolor-icon-theme
- deleted the unproperly licensed font - RHBZ#477481

* Mon Dec 01 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.3.4-0.10
- Rebuild for Python 2.6

* Sat Jun 28 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.9
- patched configure script so that it doesn't use "more" any more.

* Tue Jun 03 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.8
- added forgotten call to gtk-update-icon-cache in post and postun sections

* Sun Jun 01 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.7
- changed licence tag
- removed obsolete entries from desktop file
- added -p option to make install to preserve timestamps
- fixed install location for icons
- cleaned up obsolete comments in spec file

* Sun Jun 01 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.6
- fixed file ownership

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.5
- made the locale files install in the right place

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.4
- cleaned again the spec file
- made the desktop file install

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.3
- added desktop file

* Thu Feb 21 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.2
- cleaned the spec file

* Mon Feb 18 2008 Mathieu Bridon <bochecha@no-log.org> 0.3.4-0.1
- first version of the SPEC file

